<template>
	<div>
		
			<div class="mui-content vongi-qingjiadt">
				
				<form class="mui-input-group">
					<div class="mui-input-row">
						<label>接待部门</label>
						<span>{{info.companyName}}</span>
					</div>
					<div class="mui-input-row">
						<label>申请日期</label>
						<span>{{info.createTime}}</span>
					</div>
					<div class="mui-input-row">
						<label>来客单位</label>
						<span>{{info.customerCompany}}</span>
					</div>
					<div class="mui-input-row">
						<label>事由</label>
						<span>{{info.reason}}</span>
					</div>
                    <div class="mui-input-row">
						<label>来客人数</label>
						<span>{{info.customerNum}}</span>
					</div>
					<div class="mui-input-row">
						<label>陪同人数</label>
						<span>{{info.accompanyNum}}</span>
					</div>
					<div class="mui-input-row">
						<label>进餐时间</label>
						<span>{{info.diningTime}}</span>
					</div>
				</form>
                <form class="mui-input-group">
					<div class="mui-input-row">
						<label>用餐安排</label>
						<span>{{info.diningName}}</span>
					</div>
					<div class="mui-input-row">
						<label style="width:50%">进餐标准金额(元)</label>
						<span style="width:50%">{{info.diningFee}}</span>
					</div>
					<div class="mui-input-row">
						<label>大写</label>
						<span>{{info.diningFeeChinese}}</span>
					</div>
				</form>
				
			</div>
	</div>
</template>


<script>
	import * as API from '@/apis-xsy/treat'
	import * as API_sp from '@/apis-xsy/xsy'
import ExamineDetail from '$project/components/ExamineDetail.vue'

	import Common from '$project/components/Common.vue'
	import Loading from '$project/components/Loading.vue'
	import TopHeader from '$project/components/TopHeader.vue'
	import {
		mapGetters,
		mapMutations
	} from 'vuex'

	export default {
		name: '',
		components: {
			Common,
			Loading,
			TopHeader,ExamineDetail
		},
		data() {
			return {
				pageTitle: '申请调班详情',

				isLoading: false,
				id: '',
				info: {},
				examineDetail: {},
				only: "test"

			}
		},
		created() {
			this.id = this.$route.query.id;
		},
		methods: {
			allowExamine(op){
				this.$emit('allowExamine',op);
				
			},
			getClass(ac, i) {
				var reclass = ""
				
				if (ac.action == "0") {
					if (this.only == "test") {

						this.only = i;
					}
					if (this.only == i) {
						return "color3385FF"
					} else {
						return "mui-hidden"
					}

				}

				if (ac.action == "3" || ac.action == "2") {
					return "colorfe616c"
				}

				if (ac.action == "1" || ac.action == "4") {
					return "color389E0D"
				}
				return reclass
			},
		 
			getAdjustShiftDetail() {
				this.isLoading = true;

				API.customerDiningDetail(this.id).then(response => {
					this.info = response;
					this.info.sp=true;
					this.isLoading = false;
					
				 
					 this.$emit('getInfo',this.info);
					
				}).catch(error => {
					this.isLoading = false;
					mui.toast(error);
				})
			},
			asynCallBack() {

			},
			update() {
				this.info.sp=false;
				this.getAdjustShiftDetail();
			 
			}
		},
		mounted() {
			this.getAdjustShiftDetail();
			
		},
		destroyed() {},
		

	}
</script>

<style src="$project/assets/css/iconfont.css"></style>
<style scoped src="$project/assets/css/xpwyfyy.css"></style>
<style src="$project/assets/css/xsy.css"></style>
<style>
</style>

